Bug 149940 - security update for net/quagga
security update for net/quagga
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: niels
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-24 16:50 UTC by mike
Modified: 2010-08-25 09:10 UTC (History)
0 users

See Also:


Attachments
file.diff (324 bytes, patch)
2010-08-24 16:50 UTC, mike
no flags Details | Diff
file.diff (327 bytes, patch)
2010-08-24 16:50 UTC, mike
no flags Details | Diff
file.diff (533 bytes, patch)
2010-08-24 16:50 UTC, mike
no flags Details | Diff
quagga.diff (4.60 KB, patch)
2010-08-25 05:17 UTC, boris
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mike 2010-08-24 16:50:01 UTC
Full changelog is at 
http://www.quagga.net/download/quagga-0.99.17.changelog.txt
"This release provides two important bugfixes, which address remote crash possibility in bgpd discovered by CROSS team."

The patch in files/patch-lib-sockopt.c
fixes the bug in

http://www.freebsd.org/cgi/query-pr.cgi?pr=148238

which prevents ripng and ospfd from working on FreeBSD

Fix: # cat files/patch-lib-sockopt.c
# diff -u distinfo.prev distinfo
How-To-Repeat: install the previous version of the port
Comment 1 boris 2010-08-25 05:17:35 UTC
  Hello!

Here is new patch. Obsoletes PR: 148238, 147970

-- 
Regards,
Boris

Comment 2 niels freebsd_committer 2010-08-25 07:08:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->niels

I'll take it, thanks! 
Niels
Comment 3 dfilter freebsd_committer 2010-08-25 09:00:26 UTC
niels       2010-08-25 08:00:03 UTC

  FreeBSD ports repository

  Modified files:
    net/quagga           Makefile distinfo 
  Added files:
    net/quagga/files     patch-configure.ac 
  Removed files:
    net/quagga/files     patch-configure 
  Log:
  - Security update to version 0.99.17
  - This update also resolves functional problems of PR 148238 and 147970
  
  PR:             ports/149940
  PR:             ports/148238
  PR:             ports/147970
  Approved by:    itetcu (mentor, implicit), maintainer
  Submitted by:   mike@sentex.net, maintainer
  Security:       167953a4-b01c-11df-9a98-0015587e2cc1
  Security:       http://www.openwall.com/lists/oss-security/2010/08/24/3
  
  Revision  Changes    Path
  1.100     +3 -3      ports/net/quagga/Makefile
  1.26      +3 -3      ports/net/quagga/distinfo
  1.6       +0 -10     ports/net/quagga/files/patch-configure (dead)
  1.4       +57 -0     ports/net/quagga/files/patch-configure.ac (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 niels freebsd_committer 2010-08-25 09:00:28 UTC
State Changed
From-To: open->closed

Committed. Also added this issue in VuXML 
Cheers, 
Niels